function [cost] = f_IAEC(x) 

zeta = diag(x(1:3));

omega_b = diag(x(4:6));
eta_initial = [3,0,-pi/4]';
% set_param('model_for_simulation/Constant2', 'Value', mat2str(eta_initial));
set_param('model_for_simulation/Simulation inputs/const1', 'Value', mat2str(zeta));
set_param('model_for_simulation/Simulation inputs/const2', 'Value', mat2str(omega_b));

simout = sim('model_for_simulation'); 

eta_d = eta_d.Data;
eta = eta_hat.Data;
eta_e = eta_d - eta;
nu = nu_hat.Data;
tau = tau.Data;

[cost_IAE, cost_IAEW, cost_tau] = calc_cost(eta_e,nu,tau, 1);
cost_IAEC = cost_IAE + 0.15*cost_tau;
cost = cost_IAEC;

fileID = fopen('IAEC_FINAL.txt','a');

fprintf(fileID,'%f %f %f %f %f %f %f %f %f\n',x', cost_IAE, cost_IAEW, cost_IAEC);

fclose(fileID);
end
