lb = [0.7 0.7 0.7 0.1 0.1 0.1];
ub = [1.5 1.5 1.5 0.5 0.5 0.5];
% rng default;
tsim = 180;
%% PSO IAE
pso_options = optimoptions('particleswarm','PlotFcn','pswplotbestf');
pso_options.MaxIterations = 20;
pso_options.SwarmSize = 6;
pso_options.MaxStallIterations = 1000;
pso_options.SelfAdjustmentWeight = 0.1;
problem_pso = struct('solver','particleswarm', 'objective', @f, 'nvars',6 , 'lb', lb, 'ub', ub, 'options',pso_options);
x_best_pso = particleswarm(problem_pso);
% rng default;
% %% Optimize IAE with surrogate
% % opts = optimoptions('surrogateopt','PlotFcn',@optimplotfval);
% % opts.MaxFunctionEvaluations = 100;
% % [xsur,fsur,flgsur,osur] = surrogateopt(@f,lb,ub,opts);
% % %% 5x fminsearch
% options = optimset('PlotFcns',@optimplotfval);
% options.MaxFunEvals = 100;
% for i = 1:3
%     if i == 1
%         x_0 = lb + (ub-lb)*0.25;
%     elseif i == 2
%         x_0 = (lb+ub)./2;
%     else
%         x_0 = lb + (ub-lb)*0.75;
%     end
%     [x,fval,exitflag,output] = fminsearch(@f, x_0, options);
% end
% % Optimize IAEC with PSO
% problem_pso = struct('solver','particleswarm', 'objective', @f_IAEC, 'nvars',6 , 'lb', lb, 'ub', ub, 'options',pso_options);
% x_best_pso = particleswarm(problem_pso);
% Optimize IAEW with PSO
% problem_pso = struct('solver','particleswarm', 'objective', @f_IAEW, 'nvars',6 , 'lb', lb, 'ub', ub, 'options',pso_options);
% x_best_pso = particleswarm(problem_pso);
% % Landscape plot IAE, IAEC IAEW





